Module java.naming
Package javax.naming

## Class OperationNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.OperationNotSupportedException

All Implemented Interfaces:
  `Serializable`

    public class OperationNotSupportedException
    extends NamingException

This exception is thrown when a context implementation does not support the operation being invoked. For example, if a server does not support the Context.bind() method it would throw OperationNotSupportedException when the bind() method is invoked on it.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
`OperationNotSupportedException()` Constructs a new instance of OperationNotSupportedException.
`OperationNotSupportedException​(String explanation)` Constructs a new instance of OperationNotSupportedException using an explanation.

### Method Summary

### Methods declared in class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OperationNotSupportedException

    public OperationNotSupportedException()

Constructs a new instance of OperationNotSupportedException. All fields default to null.

#### OperationNotSupportedException

    public OperationNotSupportedException​(String explanation)

Constructs a new instance of OperationNotSupportedException using an explanation. All other fields default to null.

Parameters:
  `explanation` - Possibly null additional detail about this exception
See Also:
  `Throwable.getMessage()`